Page MenuHomePhabricator

wants to upgrade python-guimessages, whonix-setup-wizard, tb-default-browser even though already up to date
Closed, ResolvedPublic

Description

build version:

cat /var/lib/anon-dist/build_version
11.0.0.2.0

That comes with...

dpkg -l | grep python-guimessages
ii  python-guimessages                       3:0.6-1                             all          Translatable GUI Messages

pkg version in source package:

head -n 1 debian/changelog 
python-guimessages (3:0.6-1) unstable; urgency=low

developers repository:

apt-cache show python-guimessages | grep -i version
Version: 3:0.6-1

Even though it's already up to date, apt-get dist-upgrade would "upgrade" it.

Same issue with whonix-setup-wizard and tb-default-browser.

Details

Impact
Normal

Event Timeline

Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, HulaHoop.

No idea why this is happening.

My first speculation was, that somehow the derivation Maintainer: causes this, which is set to troubadour instead of me. But there is no such issue for control-port-filter-python, so that's unlikely.

Small attempt to fix...
debian/control: removed empty 'Recommends:' field:
https://github.com/Whonix/python-guimessages/commit/e6b28926a320ac81bb9358e263d6f966836e28cd
Perhaps that was confusing things. Unlikely, that this is the cause.

Patrick renamed this task from wants to upgrade python-guimessages, whonix-setup-wizard, even though already up to date to wants to upgrade python-guimessages, whonix-setup-wizard, tb-default-browser even though already up to date.May 29 2015, 5:01 PM
Patrick updated the task description. (Show Details)

tb-default-browser... 'diff'ed /var/lib/dpkg/status before and after installation. Only difference...

image comes with:

Installed-Size: 92

vs after upgrade from repository:

Installed-Size: 93

Maybe packages just need to be rebuild using jessie based Debian, because they're still build using wheezy based Debian.

Patrick claimed this task.

Yes, they needed to be rebuild on jessie.